Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.StdEncryptData Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| StdEncryptData (bool is_encrypt_metadata, int user_permissions, SecurityHandler.CipherType cipher, int key_length)
| Constructor, with parameters. More...
| StdEncryptData ()
| Constructor.
| StdEncryptData (StdEncryptData other)
| Constructor, with another standard encrypt data object. More...
void | Set (bool is_encrypt_metadata, int user_permissions, SecurityHandler.CipherType cipher, int key_length)
| Set value. More...

## Properties
SecurityHandler.CipherType | cipher`[get, set]`
| Cipher type. Please refer to values starting from foxit.pdf.SecurityHandler.CipherType.e_CipherRC4 and this should be one of these values except foxit.pdf.SecurityHandler.CipherType.e_CipherNone .
bool | is_encrypt_metadata`[get, set]`
| A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.
int | key_length`[get, set]`
| The key length, in bytes. More...
int | user_permissions`[get, set]`
| The user permissions. Please refer to values starting from foxit.pdf.PDFDoc.UserPermissions.e_PermPrint and this should be one or combination of these values.

## Detailed Description

This class represents some data used for class StdSecurityHandler .

## Constructor & Destructor Documentation

## ◆ StdEncryptData() [1/2]

foxit.pdf.StdEncryptData.StdEncryptData | ( | bool | is_encrypt_metadata,
|  | int | user_permissions,
|  | SecurityHandler.CipherType | cipher,
|  | int | key_length
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | user_permissions | The user permissions. Please refer to values starting from foxit.pdf.PDFDoc.UserPermissions.e_PermPrint and this should be one or combination of these values.
  [in] | cipher | Cipher type. Please refer to values starting from foxit.pdf.SecurityHandler.CipherType.e_CipherRC4 and this should be one of these values except foxit.pdf.SecurityHandler.CipherType.e_CipherNone .
  [in] | key_length | The key length, in bytes. For foxit.pdf.SecurityHandler.CipherType.e_CipherRC4 cipher, this value should be between 5 and 16. The preferred one should be 16. For foxit.pdf.SecurityHandler.CipherType.e_CipherAES cipher, this value should be 16 (as AES-128) or 32 (as AES-256, only supported in PDF 2.0).

## ◆ StdEncryptData() [2/2]

foxit.pdf.StdEncryptData.StdEncryptData | ( | StdEncryptData | other | ) |
| inline

Constructor, with another standard encrypt data object.

Parameters

  [in] | other | Another standard encrypt data object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.StdEncryptData.Set | ( | bool | is_encrypt_metadata,
|  | int | user_permissions,
|  | SecurityHandler.CipherType | cipher,
|  | int | key_length
| ) |  |
| inline

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | user_permissions | The user permissions. Please refer to values starting from foxit.pdf.PDFDoc.UserPermissions.e_PermPrint and this should be one or combination of these values.
  [in] | cipher | Cipher type. Please refer to values starting from foxit.pdf.SecurityHandler.CipherType.e_CipherRC4 and this should be one of these values except foxit.pdf.SecurityHandler.CipherType.e_CipherNone .
  [in] | key_length | The key length, in bytes. For foxit.pdf.SecurityHandler.CipherType.e_CipherRC4 cipher, this value should be between 5 and 16. The preferred one should be 16. For foxit.pdf.SecurityHandler.CipherType.e_CipherAES cipher, this value should be 16 (as AES-128) or 32 (as AES-256, only supported in PDF 2.0).

Returns
  None.

## Property Documentation

## ◆ key_length

int foxit.pdf.StdEncryptData.key_length
| get set

The key length, in bytes.

- For foxit.pdf.SecurityHandler.CipherType.e_CipherRC4 cipher, this value should be between 5 and 16. The preferred one should be 16.

- For foxit.pdf.SecurityHandler.CipherType.e_CipherAES cipher, this value should be 16 (as AES-128) or 32 (as AES-256, only supported in PDF 2.0).